%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}

%define lib_major 2

Summary: Libart is a library for high-performance 2D graphics.
Name: libart_lgpl
Version: 2.3.11
Release: 1mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/libart_lgpl/%{name}-%{version}.tar.bz2
License: LGPL
URL: http://www.levien.com/libart/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.

%package -n %{name}%{lib_major}
Summary:	%{summary}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{name}%{lib_major}

This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.

%package -n %{name}%{lib_major}-devel
Summary:	%{summary}
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:   pkgconfig >= 0.8
Requires:   %{name}%{lib_major} = %{version}


%description -n %{name}%{lib_major}-devel

This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.


%prep
%setup -q

%build
%if %buildfor9_0 || %buildfor9_1
%configure2_5x
%else
%configure
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT

%if %buildfor9_0
%makeinstall_std
%else
%makeinstall
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}%{lib_major} -p /sbin/ldconfig

%postun -n %{name}%{lib_major} -p /sbin/ldconfig

%files -n %{name}%{lib_major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{name}%{lib_major}-devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.11-1mdk
- Release 2.3.11

* Wed Jul 31 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 2.3.10-2mdk
- Build for mandrake release 9.0, not 8.3

* Tue Jul  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.10-1mdk
- Release 2.3.10

* Mon Jun 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.9-1mdk
- Release 2.3.9

* Thu Jun 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.3.8-3mdk
- Fix compile under MDK8.0/8.1/8.2

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.8-2mdk
- Grr, fix libification

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.8-1mdk
- First Mandrake package
